Get District
GET
/api/v1/districts/{id}
Token needs the read ability.
About tokens
Retrieves a single District object. Requires the read ability.
Path parameters
-
idstring (uuid) requiredResource UUID.
Query parameters
-
includestringAllowed: districtGroup.
Responses
-
-
dataDistrict-
idstring (uuid) -
namestring -
external_idstring nullable -
district_group_idstring (uuid) nullable -
created_atstring (date-time) nullable -
updated_atstring (date-time) nullable -
districtGroupobject nullablePresent only when included.-
idstring (uuid) -
namestring -
indexinteger -
created_atstring (date-time) nullable -
updated_atstring (date-time) nullable
-
-
-
-
-
messagestring
-
-
-
messagestring
-
-
-
messagestring
-
curl "https://app.franchisesee.com/api/v1/districts/9d3f6b2e-5a41-4c7e-9a0b-2f1c8e7d4a63" \
-H "Authorization: Bearer $FRANCHISESEE_TOKEN" \
-H "Accept: application/json"
Response
{
"data": {
"id": "3f2a1b0c-9d8e-4f7a-b6c5-d4e3f2a1b0c9",
"name": "Central Texas",
"external_id": "CTX",
"district_group_id": "e1a4c8b2-7d3f-4b6e-9a2c-8f5d1e3b7a90",
"created_at": "2025-03-14T15:22:08.000000Z",
"updated_at": "2026-10-02T09:41:55.000000Z",
"districtGroup": {
"id": "e1a4c8b2-7d3f-4b6e-9a2c-8f5d1e3b7a90",
"name": "Region",
"index": 1,
"created_at": "2025-03-14T15:22:08.000000Z",
"updated_at": "2026-10-02T09:41:55.000000Z"
}
}
}